Subject: Problems with netatalk and EtherWrite

From: Stefan Cars <[email-masked]>
Date: Wed, 15 Nov 2000 02:16:16 +0000

Hello!

I'm running 1.4b2+asun2.1 and having some problems when trying to access
my EtherWrite gateway, I don't think the problem is the EtherWrite
gateway, it's probably the name of it.

A nbplkup (without any arguments makes this output):
tjatte:~# nbplkup
                         tjatte:AFPServer                         
65280.77:128
                         tjatte:netatalk                          
65280.77:4
                         tjatte:Workstation                       
65280.77:4
                E%W Infektion 1:Ether%Write                       
65280.151:252
tjatte:~#

The output from aecho if I make it isn't that fun:
tjatte:~# aecho "E%W Infektion 1:Ether%Write@*"
Can't find: E%W Infektion 1:Ether%Write@*
tjatte:~#

But if I go with the real adress ...

tjatte:~# aecho 65280.151
14 bytes from 65280.151: aep_seq=0. time=3. ms
14 bytes from 65280.151: aep_seq=1. time=3. ms

----65280.151 AEP Statistics----
2 packets sent, 2 packets received, 0% packet loss
round-trip (ms)  min/avg/max = 3/3/3

As you can see here , an aecho to any other service works:

tjatte:~# aecho "tjatte:AFPServer@*"
14 bytes from 65280.77: aep_seq=0. time=0. ms
14 bytes from 65280.77: aep_seq=1. time=0. ms
14 bytes from 65280.77: aep_seq=2. time=0. ms

----65280.77 AEP Statistics----
3 packets sent, 3 packets received, 0% packet loss
round-trip (ms)  min/avg/max = 0/0/0

Can the % in the name of the EtherWrite be the problem?